﻿namespace UltraTimeLineViewWithScroll
{
    using System;
    using System.Drawing;
    using System.Windows.Forms;
    using Infragistics.Win.UltraWinSchedule;
    public partial class Form1 : Form
    {
        private int ownersCount;
        private int minOwnerHeight;

        public Form1()
        {
            this.InitializeComponent();
            this.ownersCount = 10;
            this.minOwnerHeight = 100;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // show all owners. If unassigned owner is visible increase MaximumOwnersInView with one
            this.ultraTimelineView1.MaximumOwnersInView = this.ownersCount;

            // set the MinimumSize to a value allowing all owners to be visible
            this.ultraTimelineView1.MinimumSize = new Size(0, this.ownersCount * this.minOwnerHeight);

            // hide the TimeLineView's vertical scroll bar
            this.ultraTimelineView1.OwnerScrollBarVisibility = TimelineViewOwnerScrollBarVisibility.Hide;


            this.ultraTimelineView1.OwnerSizing = TimelineViewOwnerSizing.None;
            this.ultraCalendarInfo1.Owners.UnassignedOwner.Visible = false;

            for (int index = 0; index < this.ownersCount; index++)
            {
                var currentOwnerName = string.Format("Owner {0}", index + 1);
                this.ultraCalendarInfo1.Owners.Add(currentOwnerName, currentOwnerName);
            }
        }
    }
}
